BTDF error : .NET Framework Install Path pointing to v2.0 framework.

Topics: Server Deployment
Mar 16 at 9:29 PM
Edited Mar 16 at 9:32 PM
Hi All,

i am getting following error on BTDF 5.6 and also on BTDF 5.7 version

Using Microsoft Biztalk Server 2016 : Following error

_System.BadImageFormatException: Could not load file or assembly 'abc.dll' or one of its dependencies. This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded.. *\Framework\BizTalkDeploymentFramework.targets(1461,5): error MSB3073: The command "C:\Windows\Microsoft.NET\Framework\v2.0.50727\installutil.exe /ShowCallStack "..\abc.dll"" exited with code -1._

i found that:
Target GetSoftwarePaths: is pointing to v2.0 framework
            Using .NET Framework Install Path 'C:\Windows\Microsoft.NET\Framework\v2.0.50727'.
.net install path is some how pointing to v2.0 version, i think this needs to point to 4.0 version

can you please let me know what i am missing, help please :)
Mar 17 at 12:09 AM
i found the issue in btdfproj file, issue is fixed.
thank you
Marked as answer by Sachyn on 3/16/2017 at 5:09 PM